Test Runs

Start test group run

Starts a test group run.

POST /api/public/v1/test-group-runs

Start test group run

curl --request POST \
  --url 'https://api.buildprint.ai/api/public/v1/test-group-runs' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "groupRunId": "<string>"
}

Group run started

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Request Body

application/json
  • groupId string required

    Opaque identifier for the project test group.

  • branchId string required

    Bubble branch ID or display label.

  • model string

    Optional model override for the run.

Response

application/json
  • groupRunId string

    Opaque identifier for the grouped project test run.